NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
Error running PhpExpress in Lighttpd and from the CLI


Joined: 22 Sep 2009
Posts: 2
Reply with quote
I am getting an error using PhpExpress on Linux.

[NuSphere PhpExpress] NuSphere PhpExpress 2.0.3 can not be loaded twice.
PHP Warning: [NuSphere PhpExpress] NuSphere PhpExpress 2.0.3 can not be loaded twice in Unkown on line 0

when running script from the command line with the shebang line #!/usr/bin/php -q

I use scripts running from the command line as well as php scripts from a webserver on the same machine. The web server is Lighttpd 1.4.2 using the FastCGI module.

I have PHP 5.2.9

I get this error even if the scripts arent encoded with Nu-coder.

Is there a way to stop this? the script runs fine after the error, but i want to clean up the errors.
View user's profileFind all posts by andy2605Send private message
Site Admin

Joined: 13 Jul 2003
Posts: 7887
Reply with quote
Do you mean that without shebang line all works fine?
Different versions of PHP are handling shebangs differently. I'd recommend you to try the latest.

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website
Error running PhpExpress in Lighttpd and from the CLI
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic